# Enable debug mode
%define debug 0

Name:		xsane
Version:	0.998
Release:	%mkrel 2
Summary:	Frontend for the SANE scanner interface
Group:		Graphics
URL:		http://www.xsane.org/
License:	GPLv2+
Source0:	ftp://ftp.sane-project.org/pub/sane/xsane/%{name}-%version.tar.gz
Patch0:		xsane-0.99-browser.patch
Patch1:		xsane-desktop.patch
Patch2:		xsane-ru-po.patch
Requires:	libsane >= 1.0.4
# Contains "www-browser" script
Requires:	desktop-common-data
# This is for the drakxtools so that they can install a GUI for scanning
# but decide depending on the system environment which GUI actually to
# install
Provides:       scanner-gui
BuildRequires:	sane-devel
BuildRequires:	libjpeg-devel
BuildRequires:	gimp-devel >= 2.0
BuildRequires:	imagemagick
BuildRequires:  lcms-devel
BuildRequires:  libtiff-devel
BuildRequires:  libgphoto-devel
BuildRequires:  libv4l-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
XSane is an X based interface for the SANE (Scanner Access Now Easy)
library, which provides access to scanners, digital cameras, and other
capture devices.  XSane is written in GTK+ and provides control for
performing the scan and then manipulating the captured image.

You may install xsane-gimp if you want the GIMP plug-in.

%package gimp
Summary: 	GIMP plug-in which provides the SANE scanner interface
Group: 		Graphics
Requires: 	sane >= 1.0, %{name} >= %{version}
 
%description gimp
This package provides the regular XSane frontend for the SANE scanner
interface, but it works as a GIMP 2.0 plug-in.  You must have GIMP 2.0 (or
newer) installed to use this package.


%prep
%setup -q
%patch0 -p0 -b .www-browser
%patch1 -p1 -b .desktop-file
%patch2 -p1 -b .po-file

%build
%if %debug
export DONT_STRIP=1
CFLAGS="`echo %{optflags} |sed -e 's/-O3/-g/' |sed -e 's/-O2/-g/'`" CXXFLAGS="`echo %{optflags} |sed -e 's/-O3/-g/' |sed -e 's/-O2/-g/'`" %configure2_5x --with-install-root=%{buildroot}
%else
%configure2_5x --with-install-root=%{buildroot} 
%endif
perl -pi -e 's#LDFLAGS  =  -L/usr/lib -Wl,-rpath,/usr/lib#LDFLAGS  =  -L/usr/lib -Wl#' src/Makefile
##perl -pi -e 's#ja\.(po|gmo)##' po/Makefile
%make
mv src/xsane src/xsane-gimp

make clean
%if %debug
CFLAGS="`echo %{optflags} |sed -e 's/-O3/-g/' |sed -e 's/-O2/-g/'`" CXXFLAGS="`echo %{optflags} |sed -e 's/-O3/-g/' |sed -e 's/-O2/-g/'`" %configure2_5x --with-install-root=%{buildroot} --disable-gimp
%else
%configure2_5x --with-install-root=%{buildroot} --disable-gimp
%endif
perl -pi -e 's#LDFLAGS  =  -L/usr/lib -Wl,-rpath,/usr/lib#LDFLAGS  =  -L/usr/lib -Wl#' src/Makefile
##perl -pi -e 's#ja\.(po|gmo)##' po/Makefile
%make

%install

rm -rf %{buildroot}

%if %debug
export DONT_STRIP=1
%endif

%makeinstall_std
install src/xsane-gimp %{buildroot}%{_bindir}
%find_lang %{name}
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -scale 48 %{buildroot}/usr/share/pixmaps/xsane.xpm %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png 
convert -scale 32 %{buildroot}/usr/share/pixmaps/xsane.xpm %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 %{buildroot}/usr/share/pixmaps/xsane.xpm %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

# dynamic desktop support
%define launchers /etc/dynamic/launchers/scanner
mkdir -p %{buildroot}%{launchers}
cat > %{buildroot}%{launchers}/%{name}.desktop << EOF
[Desktop Entry]
Name=XSane \$device
Comment=XSane
Exec=%_bindir/xsane
Terminal=false
Icon=%{name}
Type=Application
EOF

%clean
rm -fr %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc xsane*
%config(noreplace) %{launchers}/%{name}.desktop
%{_bindir}/xsane
%dir %{_datadir}/sane
%{_datadir}/sane/*
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_iconsdir}/hicolor/*/apps/*

%post
%if %mdkversion < 200900
%update_menus
%endif
update-alternatives --install %{launchers}/kde.desktop scanner.kde.dynamic %{launchers}/%{name}.desktop 30
update-alternatives --install %{launchers}/gnome.desktop scanner.gnome.dynamic %{launchers}/%{name}.desktop 30

%postun
%if %mdkversion < 200900
%update_menus
%endif

if [ $1 = 0 ]; then
  update-alternatives --remove scanner.kde.dynamic %{launchers}/%{name}.desktop
  update-alternatives --remove scanner.gnome.dynamic %{launchers}/%{name}.desktop
fi

%files gimp
%defattr(-,root,root)
%doc xsane*
%{_bindir}/xsane-gimp

%post gimp
if [ -d %_libdir/gimp ]; then
  GIMPDIR=`ls -d %_libdir/gimp/[012]*`
  [ -z "$GIMPDIR" ] && exit 0
  for i in $GIMPDIR;do
  [ -d $i/plug-ins ] || mkdir -p $i/plug-ins
  %{__ln_s} -f %_bindir/xsane-gimp $i/plug-ins/xsane
  done
fi
 
%postun gimp
if [ $1 = 0 ]; then
  if [ -d %_libdir/gimp ]; then
    GIMPDIR=`ls -d %_libdir/gimp/[012]*`
        [ -z "$GIMPDIR" ] && exit 0
        for i in $GIMPDIR;do
    [ -d $i/plug-ins ] || mkdir -p $i/plug-ins
    %{__rm} -f $i/plug-ins/xsane
        done
  fi
fi


%changelog
* Mon Aug 22 2011 vsinitsyn <vsinitsyn> 0.998-2mdv2012.0
+ Revision: 696067
- Updated Russian translation

* Sat May 21 2011 José Melo <ze@mandriva.org> 0.998-1
+ Revision: 676467
- version 0.998
- remove patch2 (fixed upstream)

* Sat May 07 2011 Oden Eriksson <oeriksson@mandriva.com> 0.997-4
+ Revision: 671362
- mass rebuild

* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 0.997-3mdv2011.0
+ Revision: 608238
- rebuild

* Mon Jun 21 2010 Frederic Crozat <fcrozat@mandriva.com> 0.997-2mdv2010.1
+ Revision: 548363
- Add missing buildrequires
- Add lcms build requirement (Mdv bug #59855)

* Tue Mar 09 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.997-1mdv2010.1
+ Revision: 516855
- update to 0.997

* Mon Jan 11 2010 Funda Wang <fwang@mandriva.org> 0.996-4mdv2010.1
+ Revision: 489570
- BR jpeg

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against libjpeg v8

* Tue Aug 18 2009 Funda Wang <fwang@mandriva.org> 0.996-3mdv2010.0
+ Revision: 417585
- rebuild for new libjpeg v7

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix gcc44 patch

* Wed May 27 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.996-2mdv2010.0
+ Revision: 380117
- Fix build with gcc 4.4
- Rediff patches

* Thu Nov 27 2008 Frederik Himpe <fhimpe@mandriva.org> 0.996-1mdv2009.1
+ Revision: 307320
- Update to new version 0.966
- Use desktop file and icon now included in upstream package
- Remove redundant BuildRequires
- Clean up SPEC file (use braces around variables, no more
  $RPM_BUILD_ROOT)

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.995-2mdv2009.0
+ Revision: 218427
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.995-2mdv2008.1
+ Revision: 171191
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request
- kill explicit icon extension

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Mon Nov 26 2007 Funda Wang <fwang@mandriva.org> 0.995-1mdv2008.1
+ Revision: 112146
- New version 0.995

* Wed Aug 29 2007 Funda Wang <fwang@mandriva.org> 0.994-2mdv2008.0
+ Revision: 73529
- fix menu category -> only Graphics/Scanning now.

* Fri Jun 08 2007 Funda Wang <fwang@mandriva.org> 0.994-1mdv2008.0
+ Revision: 37118
- New version
- bunzip2 the patch
- Import xsane

